Package twisted :: Package xish :: Module xpathparser :: Class XPathParserScanner

[frames | no frames]

## Class XPathParserScanner

    Scanner --+
              |
             XPathParserScanner

Method Summary
| `__init__(self, str)`
Inherited from Scanner
| ``__repr__`(self)` Print the last 10 tokens that have been scanned in
| ``get_char_pos`(self)` Get the current char position in the input text.
| ``get_column_number`(self)` Get the column number of the current position in the input text.
| ``get_input_scanned`(self)` Get the portion of the input that has been tokenized.
| ``get_input_unscanned`(self)` Get the portion of the input that has not yet been tokenized.
| ``get_line_number`(self)` Get the line number of the current position in the input text.
| ``get_prev_char_pos`(self, i)` Get the previous position (one token back) in the input text.
| ``get_token_pos`(self)` Get the current token position in the input text.
| ``scan`(self, restrict)` Should scan another token and add it to the list, self.tokens, and add the restriction to self.restrictions
| ``token`(self, i, restrict)` Get the i'th token in the input.

Class Variable Summary
`list` | `patterns` = `[('"\\)"', <_sre.SRE_Pattern object at 0x8c6e...`

Class Variable Details

### patterns

  Type:
    `list`
  Value:

        [('"\\)"', <_sre.SRE_Pattern object at 0x8c6e9f8>),
         ('","', <_sre.SRE_Pattern object at 0x8c76c80>),
         ('"\\("', <_sre.SRE_Pattern object at 0x8c665a0>),
         ('"@"', <_sre.SRE_Pattern object at 0x8c75498>),
         ('"\\]"', <_sre.SRE_Pattern object at 0x8c622c0>),
         ('"\\["', <_sre.SRE_Pattern object at 0x8c57398>),
         ('"//"', <_sre.SRE_Pattern object at 0x87acaa0>),
         ('"/"', <_sre.SRE_Pattern object at 0x8c6f178>),
        ...

Generated by Epydoc 2.0 on Sat May 15 20:08:17 2004 | http://epydoc.sf.net